Subject: Re: [PATCH v12 2/5] test-parse-options: print quiet as integer

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Apr 2016 09:52:46 -0700

Eric Sunshine <[email-masked]> writes:

> On Sat, Apr 2, 2016 at 7:33 PM, Pranit Bauva <[email-masked]> wrote:
>> Current implementation of parse-options.c treats OPT__QUIET() as integer
>> and not boolean and thus it is more appropriate to print it as integer
>> to avoid confusion.
>
> I can buy this line of reasoning, however, it would be even easier to
> sell the change if you cited an existing client (a git command) which
> actually respects multiple quiet levels. Are there any?

This is the only one I found in Documentation/

    -q::
    --quiet::
            Make 'git svn' less verbose. Specify a second time to make it
            even less verbose.

It probably is not a good idea to use OPT__QUIET() and try to do
multiple classes of quietness in the longer term anyway.

New work should be done to improve OPT_VERBOSITY() that already can
do "even more verbose" and "even more quiet" with a single variable;
currently there is no way to ask "has any verbosity ever been given
from the command line?", and we may want to support that.